Assets
Gets a single monitoring policy by id.
Returns the same fields as an item of GET /v1/assets/policies.
GET
/
v1
/
assets
/
policies
/
{policyId}
Gets a single monitoring policy by id.
curl --request GET \
--url https://api.usw.gorelo.io/v1/assets/policies/{policyId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.usw.gorelo.io/v1/assets/policies/{policyId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.usw.gorelo.io/v1/assets/policies/{policyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usw.gorelo.io/v1/assets/policies/{policyId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.usw.gorelo.io/v1/assets/policies/{policyId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.usw.gorelo.io/v1/assets/policies/{policyId}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.usw.gorelo.io/v1/assets/policies/{policyId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"StatusCode": 100,
"IsSuccess": true,
"Data": {
"Id": 123,
"Name": "Workstations - baseline",
"Os": "Windows",
"Priority": 3,
"Status": {
"Id": 1,
"Name": "<string>"
},
"DistributedOn": "2023-11-07T05:31:56Z",
"Checks": [
{
"Id": 123,
"CheckId": 123,
"IsEnabled": true
}
],
"Scripts": [
{
"Id": 123,
"ScriptId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"IsEnabled": true
}
],
"Plugins": [
{
"Id": 123,
"PluginId": 4,
"IsEnabled": true
}
],
"Tags": {
"AllOfTagIds": [
123
],
"AnyOfTagIds": [
123
],
"ExcludedTagIds": [
123
]
},
"CreatedOn": "2023-11-07T05:31:56Z",
"UpdatedOn": "2023-11-07T05:31:56Z"
},
"DataContext": null,
"Notifications": [
{
"Code": "070101",
"Message": "<string>",
"PropertyName": "<string>",
"ActionHint": "<string>",
"DocUrl": "<string>"
}
]
}{
"StatusCode": 100,
"IsSuccess": true,
"Data": null,
"DataContext": {
"TraceId": "<string>"
},
"Notifications": [
{
"Code": "070101",
"Message": "<string>",
"PropertyName": "<string>",
"ActionHint": "<string>",
"DocUrl": "<string>"
}
]
}{
"StatusCode": 100,
"IsSuccess": true,
"Data": null,
"DataContext": {
"TraceId": "<string>"
},
"Notifications": [
{
"Code": "070101",
"Message": "<string>",
"PropertyName": "<string>",
"ActionHint": "<string>",
"DocUrl": "<string>"
}
]
}{
"StatusCode": 100,
"IsSuccess": true,
"Data": null,
"DataContext": {
"TraceId": "<string>"
},
"Notifications": [
{
"Code": "070101",
"Message": "<string>",
"PropertyName": "<string>",
"ActionHint": "<string>",
"DocUrl": "<string>"
}
]
}授权
Your Gorelo API key. See Generate API key. If your data is hosted in Australia, click the base URL at the top of this page and select https://api.aue.gorelo.io.
响应
OK
可用选项:
100, 101, 102, 103, 200, 201, 202, 203, 204, 205, 206, 207, 208, 226, 300, 301, 302, 303, 304, 305, 306, 307, 308, 400, 401, 402, 403, 404, 405, 406, 407, 408, 409, 410, 411, 412, 413, 414, 415, 416, 417, 421, 422, 423, 424, 426, 428, 429, 431, 451, 500, 501, 502, 503, 504, 505, 506, 507, 508, 510, 511 此页面对您有帮助吗?
⌘I
Gets a single monitoring policy by id.
curl --request GET \
--url https://api.usw.gorelo.io/v1/assets/policies/{policyId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.usw.gorelo.io/v1/assets/policies/{policyId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.usw.gorelo.io/v1/assets/policies/{policyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usw.gorelo.io/v1/assets/policies/{policyId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.usw.gorelo.io/v1/assets/policies/{policyId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.usw.gorelo.io/v1/assets/policies/{policyId}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.usw.gorelo.io/v1/assets/policies/{policyId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"StatusCode": 100,
"IsSuccess": true,
"Data": {
"Id": 123,
"Name": "Workstations - baseline",
"Os": "Windows",
"Priority": 3,
"Status": {
"Id": 1,
"Name": "<string>"
},
"DistributedOn": "2023-11-07T05:31:56Z",
"Checks": [
{
"Id": 123,
"CheckId": 123,
"IsEnabled": true
}
],
"Scripts": [
{
"Id": 123,
"ScriptId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"IsEnabled": true
}
],
"Plugins": [
{
"Id": 123,
"PluginId": 4,
"IsEnabled": true
}
],
"Tags": {
"AllOfTagIds": [
123
],
"AnyOfTagIds": [
123
],
"ExcludedTagIds": [
123
]
},
"CreatedOn": "2023-11-07T05:31:56Z",
"UpdatedOn": "2023-11-07T05:31:56Z"
},
"DataContext": null,
"Notifications": [
{
"Code": "070101",
"Message": "<string>",
"PropertyName": "<string>",
"ActionHint": "<string>",
"DocUrl": "<string>"
}
]
}{
"StatusCode": 100,
"IsSuccess": true,
"Data": null,
"DataContext": {
"TraceId": "<string>"
},
"Notifications": [
{
"Code": "070101",
"Message": "<string>",
"PropertyName": "<string>",
"ActionHint": "<string>",
"DocUrl": "<string>"
}
]
}{
"StatusCode": 100,
"IsSuccess": true,
"Data": null,
"DataContext": {
"TraceId": "<string>"
},
"Notifications": [
{
"Code": "070101",
"Message": "<string>",
"PropertyName": "<string>",
"ActionHint": "<string>",
"DocUrl": "<string>"
}
]
}{
"StatusCode": 100,
"IsSuccess": true,
"Data": null,
"DataContext": {
"TraceId": "<string>"
},
"Notifications": [
{
"Code": "070101",
"Message": "<string>",
"PropertyName": "<string>",
"ActionHint": "<string>",
"DocUrl": "<string>"
}
]
}